<div id="body" class="container-fluid">
  <div class="row mx-n5">
    <div class="col">
      <h6>SAMS Wireline Billable</h6>
      <br />
      <dx-check-box id="cb"
                    [(value)]="historyMode"
                    (onValueChanged)="cbChanged($event)" text="View History">
      </dx-check-box>
      <dx-data-grid #grid id="grid"
                    [dataSource]="items"
                    keyExpr="id"
                    [wordWrapEnabled]="true"
                    [rowAlternationEnabled]="true"
                    [showBorders]="true"
                    [columnAutoWidth]="true"
                    (onExporting)="onExporting($event)"
                    (onSelectionChanged)="selectionChangedHandler(grid.selectedRowKeys)"
                    (onToolbarPreparing)="onToolbarPreparing($event)"
                    (onContentReady)="grid.instance.searchByText(grid.searchPanel.text.trim())"
                    class="mb-3">
        <dxo-sorting mode="multiple"></dxo-sorting>
        <dxi-column dataField="id" caption="ID" [visible]="false"></dxi-column>
        <dxi-column dataField="customerId" caption="Customer H6 ID"></dxi-column>
        <dxi-column dataField="ticketNumber" caption="Ticket Number"></dxi-column>
        <dxi-column dataField="ticketLocation" caption="Ticket Location"></dxi-column>
        <dxi-column dataField="ticketCategoryName" caption="Ticket Category"></dxi-column>
        <dxi-column dataField="ticketSubCategoryName" caption="Ticket Sub Category"></dxi-column>
        <dxi-column dataField="actionTaken" caption="Action Taken"></dxi-column>
        <dxi-column dataField="closeDate" caption="Clear Date" dataType="date" format="shortDate"></dxi-column>
        <dxi-column dataField="acceptReject" caption="Accept/Reject"></dxi-column>
        <dxi-column dataField="statusDescription" caption="Status"></dxi-column>
        <dxi-column dataField="modifiedBy" caption="Modified By"></dxi-column>
        <dxi-column dataField="modifiedDate" caption="Modified On" dataType="datetime"></dxi-column>
        <dxi-column dataField="comment" caption="Comments" [visible]="false"></dxi-column>
        <div *dxTemplate="let data of 'exportTemplate'">
          <button type="button" class="btn btn-sm btn-primary"
                  (click)="grid.instance.exportToExcel(false)">
            Export to Excel
          </button>
        </div>

        <!--<dxo-paging [pageSize]="50"></dxo-paging>-->
        <!--<dxo-export [enabled]="true" filename="BillingDispatchExport"></dxo-export>-->
        <dxo-selection mode="single"></dxo-selection>
        <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
        <!--<dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]"></dxo-pager>-->
        <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
      </dx-data-grid>
    </div>
  </div>
</div>
